Unit tadp8c_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, UtRes_p, ADP8C_p;

function tadp8c: String;

implementation

function tadp8c: String;
var
D2,N :Integer;
D1 :Complex;
const
A :Array [0..8] of Complex = ( ( re:0.6; im:0.0 ),( re:0.8; im:0.0 ),( re:0.0; 
im:0.0 ),( re:0.4; im:0.0 ),( re:2.2; im:0.0 ),( 
re:0.0; im:0.0 ),( re:2.6; im:0.0 ),( re:6.8; 
im:0.0 ),( re:0.6; im: 0.0 ) );
begin
Result := '';  {   }
N := 3;
ADP8C(A,D1,D2,N);
Result := Result + Format('%s',['  D1=']);
Result := Result + Format('%20.16f %20.16f ',[D1.re,D1.im]) + #$0D#$0A;
Result := Result + Format('%s',['  D2=']);
Result := Result + Format('%3d ',[D2]) + #$0D#$0A;
UtRes('tadp8c',Result);  {     tadp8c.res }
exit;
end;

end.
